Subject: bug#24771: 11.89.6; C-c C-c misses one LaTeX run in BibTeX documents

From: Mosè Giordano <[email-masked]>
Date: Sun, 23 Oct 2016 10:28:21 +0200

Hi Uwe,

2016-10-23 9:36 GMT+02:00 Uwe Siart <[email-masked]>:
> When I compile documents that use BibTeX by "C-c C-c" or by "C-c C-a"
> AUCTeX 11.89.6 calls the viewer before all citations are resolved. In
> other words, "C-c C-c" calls the command "View" even after the warning
> "There were unresolved citations". AFAIR it worke well in 11.89.5.

Could you please share a minimal working example (TeX document +
BibTeX bibliography) reproducing this error?  Between 11.89.5 and
11.89.6 I did play with the BibTeX sentinel in order to fix a problem
similar to the one you're reporting now when bibtex issues warnings.
Have I messed up something else?

Bye,
Mosè